Summary:        High-Performance Asynchronous HTTP Client Library
Name:           libserf
Version:        1.3.10
Release:        3%{?dist}
License:        ASL 2.0
URL:            http://serf.apache.org/
Source0:        https://archive.apache.org/dist/serf/serf-%{version}.tar.bz2

Patch3000:      %{name}-norpath.patch
Patch3001:      %{name}-1.3.9-errgetfunc.patch
Patch3002:      %{name}-1.3.9-multihome.patch
Patch3003:      %{name}-1.3.9-cmake.patch
Patch3004:      %{name}-1.3.10-gssapi.patch

BuildRequires:  gcc cmake pkgconfig apr-devel apr-util-devel krb5-devel openssl-devel zlib-devel

%description
The serf library is a C-based HTTP client library built upon the Apache  Portable Runtime (APR) library.
It multiplexes connections, running the read/write communication asynchronously. Memory copies and
transformations are kept to a minimum to provide high performance operation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       apr-devel

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n serf-%{version} -p1

sed -i '/SHLIBVERSION/s/MAJOR/0/' SConstruct

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_libdir} -DGSSAPI=ON -DSKIP_STATIC=ON
%cmake_build

%install
%cmake_install

mkdir -p  %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_datadir}/pkgconfig/serf.pc %{buildroot}%{_libdir}/pkgconfig/serf.pc
rm -rf %{buildroot}%{_datadir}

%check
%ctest

%files
%license LICENSE NOTICE
%{_libdir}/*.so.*

%files devel
%doc CHANGES README design-guide.txt
%{_includedir}/serf-1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/serf*.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.10-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.10-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.3.10-1
- Upgrade to version 1.3.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 1.3.9-4
- Rebuilt for apr 1.7.4 and apr-util 1.6.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 1.3.9-1
- initial build
